Summary:     Conferencing module for the jabber server
Name:        jabber-conference
Version:     0.4
Release:     7.pp
License:     JOSL, GPL
Group:       Environment/Daemons
Source0:     http://jabberd.jabberstudio.org/downloads/conference-%{version}.tar.gz
Source1:     jabberd-pub_conf.init
Source1:     jabberd-priv_conf.init
Source2:     pub_conf.xml
Source3:     priv_conf.xml
Patch0:      conference-%{version}-make.patch
Patch1:      conference-%{version}-security.patch
URL:         http://jabberd.jabberstudio.org/
Buildroot:   /var/tmp/jabber-conference-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    jabber >= 1.4.2 openssl
Provides:    jabber-conference.pp
Prereq:      /bin/chown /bin/chmod /sbin/chkconfig /bin/bash /bin/echo /bin/mkdir
BuildPrereq: jabber-devel openssl-devel
BuildPrereq: /bin/mkdir /bin/rm /usr/bin/make /usr/bin/install
ExclusiveOS: linux

%description
Jabber is a new, open-source IM platform designed to be
open, fast, and easy to use and extend. It works directly
over the Internet, has distributed servers, utilizes an
XML-based protocol, and has transparent compatibility with
other IM systems (ICQ, AIM, Yahoo, MSN, IRC, SMTP, etc).

This package contains the conferencing module.


%package devel
Group:       Development/Libraries
Summary:     Development tools for the conferencing module
Requires:    jabber-conference = %{version}-%{release} jabber-conference.pp
Provides:    jabber-conference-devel.pp

%description devel
The jabber-conference-devel package contains the header files to
develope software for the conferencing module.


%prep
%setup -q -n conference-%{version}
%patch0 -p1
%patch1 -p1


%build
export CFLAGS="$RPM_OPT_FLAGS"
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/jabber
mkdir -p $RPM_BUILD_ROOT/usr/jabber/conference
mkdir -p $RPM_BUILD_ROOT/usr/jabber/jabberd
install -m 0755 *.so $RPM_BUILD_ROOT/usr/jabber/conference
install -m 0644 *.h $RPM_BUILD_ROOT/usr/jabber/conference
install -m 0640 $RPM_SOURCE_DIR/pub_conf.xml $RPM_BUILD_ROOT/etc/jabber/pub_conf.xml.default
install -m 0640 $RPM_SOURCE_DIR/priv_conf.xml $RPM_BUILD_ROOT/etc/jabber/priv_conf.xml.default
touch $RPM_BUILD_ROOT/etc/jabber/pub_conf.xml; chmod 0640 $RPM_BUILD_ROOT/etc/jabber/pub_conf.xml
touch $RPM_BUILD_ROOT/etc/jabber/priv_conf.xml; chmod 0640 $RPM_BUILD_ROOT/etc/jabber/priv_conf.xml
install -m 0755 $RPM_SOURCE_DIR/jabberd-pub_conf.init $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd-pub_conf
install -m 0755 $RPM_SOURCE_DIR/jabberd-priv_conf.init $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd-priv_conf
ln -s jabberd $RPM_BUILD_ROOT/usr/jabber/jabberd/jabberd-pub_conf
ln -s jabberd $RPM_BUILD_ROOT/usr/jabber/jabberd/jabberd-priv_conf


%pre
if [ ! -e /etc/jabber ] ; then
  /bin/mkdir /etc/jabber
fi
/bin/chmod 0750 /etc/jabber
/bin/chown root:jabber /etc/jabber


%post
/bin/chown root:jabber /etc/jabber/*.xml*
/sbin/chkconfig --add jabberd-pub_conf
/sbin/chkconfig jabberd-pub_conf on
/sbin/chkconfig --add jabberd-priv_conf
/sbin/chkconfig jabberd-priv_conf on
if [ -s /etc/jabber/priv_conf.xml ]; then
   if [ -f /var/lock/subsys/jabberd-priv_conf ]; then
      /etc/rc.d/init.d/jabberd-priv_conf restart
   else
      /etc/rc.d/init.d/jabberd-priv_conf start
   fi
fi
if [ -s /etc/jabber/pub_conf.xml ]; then
   if [ -f /var/lock/subsys/jabberd-pub_conf ]; then
      /etc/rc.d/init.d/jabberd-pub_conf restart
   else
      /etc/rc.d/init.d/jabberd-pub_conf start
   fi
else
   echo "Conferencing installed. Please consult the README for configuration details."
   echo "Don't forget to create a directory named <conference-hostname> in /var/spool/jabber!"
fi


%preun
if [ $1 = 0 ] ; then
  /sbin/chkconfig jabberd-pub_conf off
  /sbin/chkconfig --del jabberd-pub_conf
  /sbin/chkconfig jabberd-priv_conf off
  /sbin/chkconfig --del jabberd-priv_conf
   if [ -f /var/lock/subsys/jabberd-pub_conf ]; then
      /etc/rc.d/init.d/jabberd-pub_conf stop
   fi
   if [ -f /var/lock/subsys/jabberd-priv_conf ]; then
      /etc/rc.d/init.d/jabberd-priv_conf stop
   fi
fi


%postun
if [ $1 = 0 ] ; then
  echo "Conferencing deinstalled. Please remove all references from your jabber config!"
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README
/etc/rc.d/init.d/jabberd-pub_conf
/etc/rc.d/init.d/jabberd-priv_conf
%config /etc/jabber/pub_conf.xml
%config /etc/jabber/priv_conf.xml
/etc/jabber/pub_conf.xml.default
/etc/jabber/priv_conf.xml.default
%dir /usr/jabber/conference
/usr/jabber/conference/*.so
/usr/jabber/jabberd/jabberd-pub_conf
/usr/jabber/jabberd/jabberd-priv_conf

%files devel
%defattr(-,root,root)
/usr/jabber/conference/*.h


%changelog
* Fri Jun 27 2003 peter.pramberger@1012surf.net
- compiled for RH73

* Fri Feb 28 2003 peter.pramberger@1012surf.net
- minor bugfixes

* Sun May 19 2002 peter.pramberger@1012surf.net
- created

